Index: npl/webapps/webmin/miniserv.conf
===================================================================
--- npl/webapps/webmin/miniserv.conf	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/miniserv.conf	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,37 @@
+port=10001
+root=/usr/webmin
+mimetypes=/usr/webmin/mime.types
+addtype_cgi=internal/cgi
+realm=Webmin Server
+logfile=/var/log/webmin/miniserv.log
+errorlog=/var/log/webmin/miniserv.error
+pidfile=/var/log/webmin/miniserv.pid
+logtime=168
+ppath=
+ssl=1
+env_WEBMIN_CONFIG=/home/system/webmin
+env_WEBMIN_VAR=/var/log/webmin
+atboot=0
+logout=/home/system/webmin/logout-flag
+listen=10000
+denyfile=\.pl$
+log=1
+blockhost_failures=5
+blockhost_time=60
+syslog=1
+session=1
+premodules=WebminCore
+userfile=/home/system/webmin/miniserv.users
+keyfile=/usr/webint/ssl/server.pem
+passwd_file=/etc/shadow
+passwd_uindex=0
+passwd_pindex=1
+passwd_cindex=2
+passwd_mindex=4
+passwd_mode=0
+preroot=blue-theme
+passdelay=1
+nofork=1
+extracas=
+certfile=/usr/webint/ssl/server.crt
+ssl_redirect=0
Index: npl/webapps/webmin/run
===================================================================
--- npl/webapps/webmin/run	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/run	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,2 @@
+#!/bin/bash
+exec /etc/webmin/start
Index: npl/webapps/webmin/services.webmin.new
===================================================================
--- npl/webapps/webmin/services.webmin.new	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/services.webmin.new	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+10001/tcp,System administration,Webmin
Index: npl/webapps/webmin/webmin.SlackBuild
===================================================================
--- npl/webapps/webmin/webmin.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webmin.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,98 @@
+#!/bin/bash
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
+#Strict build-dependencies
+#Our package will be automaticly rebuilded if there is a major change in a DEP package.
+#(this is recommended for most dependencys)
+##DEP:linux
+##DEP:linux_src
+##DEP:openldap
+
+#Loose build-dependencies
+#The package will be installed in the buildroot during buidling, but no automatic rebuild will occur.
+#(not recommended)
+##NEED:doxygen
+
+#NEED:perlmod_Net_SSLeay
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=noarch
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+
+#install webmin
+pushd $SRC_DIR 
+mkdir -p /home/system/webmin /usr/webmin /var/log/webmin /etc
+ssl=1 nostart=1 atboot=0 password=syn3 login=admin port=10001 perl=/usr/bin/perl var_dir=/var/log/webmin config_dir=/home/system/webmin ./setup.sh /usr/webmin 
+popd
+
+#move to package dir
+mkdir -p /tmp/pkg/home/system /tmp/pkg/usr /tmp/pkg/var/log /tmp/pkg/etc
+ln -s /home/system/webmin /tmp/pkg/etc/webmin 
+mv /home/system/webmin /tmp/pkg/home/system
+mv /usr/webmin /tmp/pkg/usr
+mv /var/log/webmin /tmp/pkg/var/log
+
+#our tuned config
+cp miniserv.conf /tmp/pkg/home/system/webmin/miniserv.conf
+
+#firewall service
+mkdir -p /tmp/pkg/etc/firewall
+cp services.webmin.new /tmp/pkg/etc/firewall
+
+#remove ssl keys, we use syn3's webint ssl keys
+rm /tmp/pkg/home/system/webmin/miniserv.pem
+
+#daemon tools runscript
+mkdir -p /tmp/pkg/service/webmin
+cp run /tmp/pkg/service/webmin
+chmod +x /tmp/pkg/service/webmin/run
+
+#webportal stuff
+mkdir -p /tmp/pkg/var/www/htdocs/syn3/webmin/
+cp webportal/* /tmp/pkg/var/www/htdocs/syn3/webmin/ || exit 1
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/webapps/webmin/webmin.arch
===================================================================
--- npl/webapps/webmin/webmin.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webmin.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+noarch
Index: npl/webapps/webmin/webmin.md5
===================================================================
--- npl/webapps/webmin/webmin.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webmin.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,11 @@
+b63f83fecda8eb3f99c0a530e2c734b7  ./miniserv.conf
+cf70b4a940622a5ecbf2a95bbcb6fb0e  ./run
+d8503774b1ac46129c5580116316443b  ./services.webmin.new
+cdcc09d71d85d81914a90413eaf21d3f  ./webmin-1.510.tar.gz
+b1b943b3b378f039fd84ef6be60af826  ./webmin.SlackBuild
+ccb3017db76969568dc8a10773b05cf6  ./webmin.SlackBuild.log.gz
+db7d4a6ebaf08e38658db938ec836f32  ./webmin.pkg
+4b53a4b42e58bab7bff50392699d5d89  ./webportal/index.php
+24643bb24f4bcb45021397cf3ed3e7a9  ./webportal/loading.gif
+492c0efb427e7d2d5aa8483208ce7f16  ./webportal/webportal.desc
+c88540867cddc143df6c4c1c8d597cbe  ./webportal/webportal.png
Index: npl/webapps/webmin/webmin.version
===================================================================
--- npl/webapps/webmin/webmin.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webmin.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+1.510
Index: npl/webapps/webmin/webportal/index.php
===================================================================
--- npl/webapps/webmin/webportal/index.php	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webportal/index.php	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,17 @@
+<?php
+$SCC="https://$_SERVER[HTTP_HOST]:10001";
+?>
+<html>
+<head>
+<meta http-equiv=refresh content="1;url=<?=$SCC?>">
+</head>
+<body>
+    <table height=100% width=100% align=center><tr><td>
+        <table align=center><tr><td>
+            <h1><img src='loading.gif'> Loading webmin..</h1>
+            If it doesn't load, check if your IP (<?=$_SERVER[REMOTE_ADDR]?>) is allowed in the firewall.
+        </tr></table>
+    </tr></table>
+</body></html>
+
+
Index: npl/webapps/webmin/webportal/webportal.desc
===================================================================
--- npl/webapps/webmin/webportal/webportal.desc	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/webapps/webmin/webportal/webportal.desc	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+Webmin
